//: Playground - noun: a place where people can play

import UIKit

class Person {
    let name: String
    let age: Int
    
    init?(dict: [String: AnyObject]) throws {
        guard let name = dict["name"] as? String, let age = dict["age"] as? Int else {
            throw PersonError.invalidData
        }
        
        self.name = name
        self.age = age
    }
}


enum PersonError: Error { case invalidData }
