//: Playground - noun: a place where people can play

import UIKit

struct Point {
    let x: Double
    let y: Double
}

struct Map {
    
    static let origin: Point = Point(x: 0, y: 0)
    
    static func distanceFromOrigin(point: Point) -> Double {
        let horizontalDistance: Double = origin.x - point.x
        let verticalDistance = origin.y - point.y
        
        
        func square(value: Double) -> Double {
            return value * value
        }
        
        return sqrt(square(value: horizontalDistance) + square(value: verticalDistance))
        
    }
    
}
