//: Playground - noun: a place where people can play

import UIKit
import GameKit

protocol UniqueType {
    
    var id: Int { get }
}


extension UIView: UniqueType {
    /*
    var id: Int{
        return GKRandomSource.sharedRandom().nextInt(upperBound: 1000)
    }
 */
    
    var id: Int {
        return 1
    }
    
}

extension UniqueType {
    
    var id: Int{
        return GKRandomSource.sharedRandom().nextInt(upperBound: 1000)
    }
    
}

let view = UIView()
view.id
