//: Playground - noun: a place where people can play

import UIKit

import UIKit


class Person {
    let name: String
    
    init(name: String) {
        self.name = name
    }
    
    var apartment: Apartment?
    
    deinit {
        print("\(name) is being deinitialized. Memory deallocated")
    }
}

class Apartment {
    let unit: String
    
    init(unit: String) {
        self.unit = unit
    }
    
  weak  var tenant: Person?
    
    deinit {
        print("Apartment \(unit) is being deinitialized. Memory deallocated.")
    }
}

var person: Person? = Person(name: "Pasan")
var apartment: Apartment? = Apartment(unit: "3B")

person?.apartment = apartment
apartment?.tenant = person

person = nil
apartment = nil
